/extract
curl --request GET \
--url https://api.linkup.so/v1/extract \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.linkup.so/v1/extract"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.linkup.so/v1/extract', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"page": 123,
"pageSize": 123,
"total": 123,
"totalPages": 123
},
"data": [
{
"createdAt": "2026-01-01T00:00:00.000Z",
"error": "<string>",
"id": "01234-abcd-56789",
"status": "completed",
"updatedAt": "2026-01-01T00:00:00.000Z",
"input": {
"q": "<string>",
"url": "https://example.com/team",
"schema": null,
"verifyUrls": false
},
"output": {
"creditsUsed": 1,
"resultUrl": "<string>",
"rowsReturned": 4503599627370495
},
"type": "<string>"
}
]
}Extract (closed beta)
/extract
[BETA] The GET /extract method, without extract task identifier, lists all created extract tasks for the authenticated organization, with pagination.
GET
/
v1
/
extract
/extract
Get your API key
Create a Linkup account for free to get your API key.
This endpoint only retrieves data from existing extract tasks. It does not create a new
extract task. To create a new task, use
POST /extract.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Available options:
createdAt, updatedAt Available options:
asc, desc ⌘I